
# This "function" returns the modified grob, but the grob
# is also destructively modified (it is an external pointer)
# i.e., if the grob is on the display list, the grob in the
# display list is also modified 
grid.hyperlink <- function(x, href) {
  # is.grob should be exported!
  if (!grid:::is.grob(x)) 
    stop("It is only possible to associate a hyperlink with a grob")
  list.struct <- grid.get(x)
  cl <- class(list.struct)
  list.struct$href <- href
  class(list.struct) <- c("linked.grob", cl)
  grid.set(x, list.struct)
  x
}

# gridToDev method for linked.grob objects
grobToDev.linked.grob <- function(x, dev) {
  devStartLink(x$href, dev)
  NextMethod()
  devEndLink(dev)
}
