library(grid)
library(gridSVG)

x11(width=6, height=6)
# Some default settings
push.viewport(viewport(gp=gpar(col="black", fill=NA)))

grid.rect(x=grid.animate(unit(0:30, "mm"), duration=5, rep=TRUE),
          y=0,
          just=c("left", "bottom"))
grid.circle(x=grid.animate(unit(0.5, "npc") + unit(0:30, "mm"),
              duration=5, rep=TRUE),
            r=unit(10, "mm"))
grid.text("hello",
          x=grid.animate(unit(0.3, "npc") + unit(0:30, "mm"),
            duration=5, rep=TRUE))
grid.text("hello",
          x=grid.animate(unit(0.3, "npc") + unit(0:30, "mm"),
            duration=5, rep=TRUE),
          y=grid.animate(unit(0.3, "npc") + unit(0:30, "mm"),
            duration=5, rep=TRUE))

# Swinging pendulum?
n <- 30
L <- 50 #mm
A <- 20 #mm
t <- seq(0, 2*pi, length=n)
x <- A*sin(t)
theta <- atan(x/L)
y <- L*cos(theta)
grid.lines(x=grid.animate(unit(rep(0.5, n), "npc"),
             unit(0.5, "npc") + unit(x, "mm"),
             id=rep(1:2, each=n), duration=5, rep=TRUE),
           y=grid.animate(unit(rep(0.9, n), "npc"),
             unit(0.9, "npc") - unit(abs(y), "mm"),
             id=rep(1:2, each=n), duration=5, rep=TRUE))

pop.viewport()

gridToSVG("animate.svg")
dev.off()
